Overview
POST/content/urlscontent

Create urls

Create a record in urls.

Auth: bearerAuth — calls run as the authenticated user.

Request body

application/json · optional

  • deletedAtoptionalstring?
  • ecosystemIdoptionalstring
  • originalUrlstring
  • canonicalUrlstring
  • canonicalUrlHashstring
  • titleoptionalstring?
  • descriptionoptionalstring?
  • noteoptionalstring?
  • previewStorageKeyoptionalstring?
  • previewUrloptionalstring?
  • previewStatusoptionalstring
  • previewErroroptionalstring?
  • previewGeneratedAtoptionalstring?
  • previewAttemptsoptionalinteger
  • isDeletedoptionalboolean
Example
{
  "deletedAt": "string",
  "ecosystemId": "string",
  "originalUrl": "string",
  "canonicalUrl": "string",
  "canonicalUrlHash": "string",
  "title": "string",
  "description": "string",
  "note": "string",
  "previewStorageKey": "string",
  "previewUrl": "string",
  "previewStatus": "string",
  "previewError": "string",
  "previewGeneratedAt": "string",
  "previewAttempts": 0,
  "isDeleted": true
}
Responses
201

urls

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • originalUrlstring
  • canonicalUrlstring
  • canonicalUrlHashstring
  • titlestring?
  • descriptionstring?
  • notestring?
  • previewStorageKeystring?
  • previewUrlstring?
  • previewStatusstring
  • previewErrorstring?
  • previewGeneratedAtstring?
  • previewAttemptsinteger
  • createdAtstring
  • updatedAtstring
  • isDeletedboolean
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "originalUrl": "string",
  "canonicalUrl": "string",
  "canonicalUrlHash": "string",
  "title": "string",
  "description": "string",
  "note": "string",
  "previewStorageKey": "string",
  "previewUrl": "string",
  "previewStatus": "string",
  "previewError": "string",
  "previewGeneratedAt": "string",
  "previewAttempts": 0,
  "createdAt": "string",
  "updatedAt": "string",
  "isDeleted": true
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/urls" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deletedAt": "string",
  "ecosystemId": "string",
  "originalUrl": "string",
  "canonicalUrl": "string",
  "canonicalUrlHash": "string",
  "title": "string",
  "description": "string",
  "note": "string",
  "previewStorageKey": "string",
  "previewUrl": "string",
  "previewStatus": "string",
  "previewError": "string",
  "previewGeneratedAt": "string",
  "previewAttempts": 0,
  "isDeleted": true
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/urls", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"deletedAt\": \"string\",\n  \"ecosystemId\": \"string\",\n  \"originalUrl\": \"string\",\n  \"canonicalUrl\": \"string\",\n  \"canonicalUrlHash\": \"string\",\n  \"title\": \"string\",\n  \"description\": \"string\",\n  \"note\": \"string\",\n  \"previewStorageKey\": \"string\",\n  \"previewUrl\": \"string\",\n  \"previewStatus\": \"string\",\n  \"previewError\": \"string\",\n  \"previewGeneratedAt\": \"string\",\n  \"previewAttempts\": 0,\n  \"isDeleted\": true\n}",
});
const data = await res.json();